package api

import (
	"fmt"
	"net/http"
)

func JoinRoom(userData LoginResponse, roomId string) error {
	request, err := http.NewRequest(
		http.MethodPost,
		fmt.Sprintf("https://matrix-client.matrix.org/_matrix/client/v3/rooms/%s/join", roomId),
		nil,
	)
	if err != nil {
		panic(err)
	}
	request.Header.Set("Authorization", fmt.Sprintf("Bearer %s", userData.AccessToken))
	_, err = http.DefaultClient.Do(request)
	return err
}
